org.icefaces.ace.component.resizable

## Enum ResizableBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<ResizableBase.PropertyKeys>
  - - org.icefaces.ace.component.resizable.ResizableBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResizableBase.PropertyKeys>
  Enclosing class:
    ResizableBase

      protected static enum ResizableBase.PropertyKeys
      extends java.lang.Enum<ResizableBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `animate`
    `aspectRatio`
    `containment`
    `effect`
    `effectDuration`
    `forValue`
    `ghost`
    `grid`
    `handles`
    `maxHeight`
    `maxWidth`
    `minHeight`
    `minWidth`
    `proxy`
    `resizeListener`
    `widgetVar`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static ResizableBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResizableBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### animate

          public static final ResizableBase.PropertyKeys animate

    - #### aspectRatio

          public static final ResizableBase.PropertyKeys aspectRatio

    - #### containment

          public static final ResizableBase.PropertyKeys containment

    - #### effect

          public static final ResizableBase.PropertyKeys effect

    - #### effectDuration

          public static final ResizableBase.PropertyKeys effectDuration

    - #### forValue

          public static final ResizableBase.PropertyKeys forValue

    - #### ghost

          public static final ResizableBase.PropertyKeys ghost

    - #### grid

          public static final ResizableBase.PropertyKeys grid

    - #### handles

          public static final ResizableBase.PropertyKeys handles

    - #### maxHeight

          public static final ResizableBase.PropertyKeys maxHeight

    - #### maxWidth

          public static final ResizableBase.PropertyKeys maxWidth

    - #### minHeight

          public static final ResizableBase.PropertyKeys minHeight

    - #### minWidth

          public static final ResizableBase.PropertyKeys minWidth

    - #### proxy

          public static final ResizableBase.PropertyKeys proxy

    - #### resizeListener

          public static final ResizableBase.PropertyKeys resizeListener

    - #### widgetVar

          public static final ResizableBase.PropertyKeys widgetVar

  - ### Method Detail

    - #### values

          public static ResizableBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResizableBase.PropertyKeys c : ResizableBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResizableBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ResizableBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.